<template>
  <div>
    <div class="main">
      <AppHeader></AppHeader>
    </div>
    <div class="container-fluid ">
      <div class="row">
        <div class="col-md-3 col-lg-2 px-0 side-bar menu">
          <AppMenu class="menu-left"></AppMenu>
        </div>
        <div class="col-md-9 col-lg-10 p-0 app-body " style="background:#F0F0F0">
          <Nuxt />
        </div>
        <div class="app-footer col-md-12">
            <AppFooter></AppFooter>
          </div>
      </div>
    </div>
  </div>
</template>
<script>
import AppFooter from '~/components/AppFooter.vue'
import AppHeader from '~/components/AppHeader.vue'
import AppMenu from '~/components/AppMenu.vue'
// import  from "module";

export default {
  components: { AppHeader, AppMenu, AppFooter }
}
</script>

<style>
html {
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  font-size: .75rem;
  word-spacing: 1px;
  -ms-text-size-adjust: 100%;
  -webkit-text-size-adjust: 100%;
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  box-sizing: border-box;
}

*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
}

.side-bar {
  min-height: 100%;
}
.app-body {
  min-height: 800px;
  position: relative;
}
.app-footer {
  border-top: 1px solid #c8ced3;
}

.button--green {
  display: inline-block;
  border-radius: 4px;
  border: 1px solid #3b8070;
  color: #3b8070;
  text-decoration: none;
  padding: 10px 30px;
}
#menu {
  background-color: #f8f9fa;
}

.button--grey {
  display: inline-block;
  border-radius: 4px;
  border: 1px solid #35495e;
  color: #35495e;
  text-decoration: none;
  padding: 10px 30px;
  margin-left: 15px;
} 

.button--grey:hover {
  color: #fff;
  background-color: #35495e;
}

.menu-left {
  
  top: 40px;
}

.main {
  border-bottom: 3px solid #F7F7F7;
}
.img {
  height: 30px;
  width: 30px;
  border-radius: 50%;
}
</style>
